# Uses of Class
org.eclipse.mat.report.internal.DataFile

Packages that use DataFile
Package
Description
org.eclipse.mat.report.internal
Internal classes for controlling building of reports from XML report definitions (not API).

## Uses of DataFile in org.eclipse.mat.report.internal

Constructors in org.eclipse.mat.report.internal with parameters of type DataFile
Modifier
Constructor
Description
``
`LinkedPart(String id, AbstractPart parent, DataFile artefact, Spec spec, AbstractPart linkedTo)`
``
`QueryPart(String id, AbstractPart parent, DataFile artefact, QuerySpec spec)`